* {
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: Konnect, Roboto;
    color: black;
}

main {
    overflow-x: hidden;
}

section {
    padding: 0 100px;
    width: calc(100% - 200px);
}

a {
    transition: .2s ease-in-out;
    text-decoration: none;
    color: black;
}

ul {
    display: flex;
}

li {
    list-style: none;
}

li > a:hover {
    color: var(--colorGreenPrimary);
}

input {
    border: none;
}

input:focus {
    outline: none;
}

::selection {
    background: var(--colorGreenPrimary);
}

/* BUTTONS */

.button {
    padding: 15px 25px;
    margin: 0 30px;
    border-radius: 30px;
    transition: .4s ease-in-out;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btWhite {
    background-color: white;
}

.btBlue {
    background-color: var(--colorBluePrimary);
    color: white;
}

.button:hover {
    padding: 15px 35px;
    margin: 0 20px;
}

.btWhite:hover {
    background-color: var(--colorGreenPrimary);
    box-shadow: 0px 6px 10px -5px var(--colorGreenPrimary);
}

.btBlue:hover{
    background-color: var(--colorBlueSecundary);
    box-shadow: 0px 6px 10px -5px var(--colorBlueSecundary);
}

/* TEXT */

.subTittle {
    font-size: var(--textSizeSubTittle);
    font-weight: var(--textWeightSubTittle);
}

.tittle {
    font-size: var(--textSizeTittle);
    font-weight: var(--textWeightTittle);
    color: var(--textColorTittle);
}

.tittleTxt {
    font-size: var(--textSizeTittleTxt);
}

.txt {
    font-size: var(--textSizeTxt);
}

/* PARAMETERS */

:root {
    --colorGreenPrimary: #01FEBB;
    --colorGreenSecundary: #EEFFFA;
    --colorGreenTertiary: #125666;
    --colorBluePrimary: #2B8FEB;
    --colorBlueSecundary: #0E579B;
    --colorBlackPrimary: #1a1a1a;
    --textSizeSubTittle: 15px;
    --textWeightSubTittle: 300;
    --textSizeTittle: 30px;
    --textWeightTittle: 600;
    --textColorTittle: #0E579B;
    --textSizeTittleTxt: 23px;
    --textSizeTxt: 18px;
}

@media only screen and (max-width: 1024px) {
    section {
        padding: 0 50px;
        width: calc(100% - 100px);
    }

    a {
        font-size: 15px;
    }

    .button {
        padding: 15px 18px;
        margin: 0 20px;
    }

    .button:hover {
        padding: 15px 25px;
        margin: 0 13px;
    }
}

@media only screen and (max-width:768px) {
    section {
        padding: 0 35px;
        width: calc(100% - 70px);
    }

    .button {
        padding: 15px 16px;
        margin: 0 7px;
    }

    .button:hover {
        padding: 15px 23px;
        margin: 0 0;
    }
}

@media only screen and (max-width:425px) {
    section {
        padding: 0 20px;
        width: calc(100% - 40px);
    }
}